diff -Nurd otcl-1.11.ori/Makefile.in otcl-1.11/Makefile.in
--- otcl-1.11.ori/Makefile.in	2005-10-14 03:45:28.000000000 -0300
+++ otcl-1.11/Makefile.in	2009-04-24 15:52:07.000000000 -0300
@@ -16,7 +16,7 @@
 SHLIB_LD=	@SHLIB_LD@
 SHLIB_CFLAGS=	@SHLIB_CFLAGS@
 SHLIB_SUFFIX=	@SHLIB_SUFFIX@
-SHLD_FLAGS=	@SHLD_FLAGS@
+SHLD_FLAGS=	@LDFLAGS@ @SHLD_FLAGS@
 DL_LIBS=	@DL_LIBS@
 
 SHLIB_LD_LIBS  = @SHLIB_LD_LIBS@
@@ -25,11 +25,11 @@
 # where to install shells, libraries, and includes
 #
 
-INST_OTCLSH=	@prefix@/bin
-INST_OWISH=	@prefix@/bin
-INST_OLIB=	@prefix@/lib
-INST_OLIBSH=	@INST_OLIBSH@
-INST_OINC=	@prefix@/include
+INST_OTCLSH=	$(DESTDIR)@prefix@/bin
+INST_OWISH=	$(DESTDIR)@prefix@/bin
+INST_OLIB=	$(DESTDIR)@prefix@/lib
+INST_OLIBSH=	$(DESTDIR)@INST_OLIBSH@
+INST_OINC=	$(DESTDIR)@prefix@/include
 
 
 #
diff -Nurd otcl-1.11.ori/configure otcl-1.11/configure
--- otcl-1.11.ori/configure	2005-10-14 03:46:24.000000000 -0300
+++ otcl-1.11/configure	2009-04-24 15:50:16.000000000 -0300
@@ -4063,9 +4063,6 @@
 TCL_MAJOR_VERS=`echo $TCL_VERS | sed 's/^\([0-9]*\)\.\([0-9]*\)\.\([0-9]*\)/\1/'`
 TCL_ALT_VERS=`echo $TCL_HI_VERS | sed 's/\.//'`
 
-TCL_OLD_VERS=8.3.5
-TCL_OLD_ALT_VERS=`echo $TCL_OLD_VERS | sed 's/\.//'`
-
 TCL_TCL_PLACES_D="$d \
 		$d/lib/tcl$TCL_HI_VERS \
 		$d/lib/tcl$TCL_VERS \
@@ -4074,10 +4071,6 @@
 		$d/../lib/tcl$TCL_HI_VERS \
 		$d/../lib/tcl$TCL_VERS \
 		$d/../lib/tcl$TCL_ALT_VERS \
-		$d/lib/tcl$TCL_OLD_VERS \
-		$d/lib/tcl$TCL_OLD_ALT_VERS \
-		$d/../lib/tcl$TCL_OLD_VERS \
-		$d/../lib/tcl$TCL_OLD_ALT_VERS \
 		$d/lib \
 		$d/library \
 		"
@@ -4088,46 +4081,10 @@
 		../tcl$TCL_HI_VERS/library \
 		../tcl$TCL_VERS/library \
                 ../tcl$TCL_ALT_VERS/library \
-		/usr/lib/tcl$TCL_VERS \
-		/usr/lib/tcl$TCL_HI_VERS \
-		/usr/lib/tcl$TCL_ALT_VERS \
-		/usr/lib/tcl \
-		/usr/share/tcl$TCL_VERS \
-		/usr/share/tcl$TCL_HI_VERS \
-		/usr/share/tcl$TCL_ALT_VERS \
-		/usr/share/tcl \
-		/lib/tcl$TCL_VERS \
-		/lib/tcl$TCL_HI_VERS \
-		/lib/tcl$TCL_ALT_VERS \
-		/usr/lib/tcl$TCL_OLD_VERS \
-		/usr/lib/tcl$TCL_OLD_ALT_VERS \
-		/lib/tcl$TCL_OLD_VERS \
-		/lib/tcl$TCL_OLD_ALT_VERS \
-		/usr/lib \
-                /usr/src/local/tcl$TCL_VERS/library \
-                /usr/src/local/tcl$TCL_HI_VERS/library \
-                /usr/src/local/tcl$TCL_ALT_VERS/library \
-                /usr/local/lib/tcl$TCL_VERS \
-                /usr/local/lib/tcl$TCL_HI_VERS \
-                /usr/local/lib/tcl$TCL_ALT_VERS \
-                /usr/local/include/tcl$TCL_VERS \
-                /usr/local/include/tcl$TCL_HI_VERS \
-                /usr/local/include/tcl$TCL_ALT_VERS \
-		../tcl$TCL_OLD_VERS/library \
-                ../tcl$TCL_OLD_ALT_VERS/library \
-                /usr/src/local/tcl$TCL_OLD_VERS/library \
-                /usr/src/local/tcl$TCL_OLD_ALT_VERS/library \
-                /usr/local/lib/tcl$TCL_OLD_VERS \
-                /usr/local/lib/tcl$TCL_OLD_ALT_VERS \
-                /usr/local/include/tcl$TCL_OLD_VERS \
-                /usr/local/include/tcl$TCL_OLD_ALT_VERS \
-                /usr/local/include \
                 $prefix/include \
 		$prefix/lib/tcl \
                 $x_includes/tk \
-                $x_includes \
-                /usr/contrib/include \
-                /usr/include"
+                $x_includes"
 TCL_H_PLACES_D="$d/generic \
 		$d/unix \
 		$d/include/tcl$TCL_HI_VERS \
@@ -4142,49 +4099,9 @@
 		../tcl$TCL_HI_VERS/generic \
 		../tcl$TCL_VERS/generic \
 		../tcl$TCL_ALT_VERS/generic \
-		/usr/src/local/tcl$TCL_VERS/generic \
-		/usr/src/local/tcl$TCL_HI_VERS/generic \
-		/usr/src/local/tcl$TCL_ALT_VERS/generic \
-		/usr/src/local/tcl$TCL_VERS/unix \
-		/usr/src/local/tcl$TCL_HI_VERS/unix \
-		/usr/src/local/tcl$TCL_ALT_VERS/unix \
-		/usr/contrib/include \
-		/usr/local/lib/tcl$TCL_VERS \
-		/usr/local/lib/tcl$TCL_HI_VERS \
-		/usr/local/lib/tcl$TCL_ALT_VERS \
-		/usr/local/include/tcl$TCL_VERS \
-		/usr/local/include/tcl$TCL_HI_VERS \
-		/usr/local/include/tcl$TCL_ALT_VERS \
-		/usr/local/include \
-		/import/tcl/include/tcl$TCL_VERS \
-		/import/tcl/include/tcl$TCL_HI_VERS \
-		/import/tcl/include/tcl$TCL_ALT_VERS \
-		../tcl$TCL_OLD_VERS/generic \
-		../tcl$TCL_OLD_ALT_VERS/generic \
-		/usr/src/local/tcl$TCL_OLD_VERS/generic \
-		/usr/src/local/tcl$TCL_OLD_ALT_VERS/generic \
-		../tcl$TCL_OLD_VERS/unix \
-		../tcl$TCL_OLD_ALT_VERS/unix \
-		/usr/src/local/tcl$TCL_OLD_VERS/unix \
-		/usr/src/local/tcl$TCL_OLD_ALT_VERS/unix \
-		/usr/local/lib/tcl$TCL_OLD_VERS \
-		/usr/local/lib/tcl$TCL_OLD_ALT_VERS \
-		/usr/local/include/tcl$TCL_OLD_VERS \
-		/usr/local/include/tcl$TCL_OLD_ALT_VERS \
-		/import/tcl/include/tcl$TCL_OLD_VERS \
-		/import/tcl/include/tcl$TCL_OLD_ALT_VERS \
 		$prefix/include \
 		$x_includes/tk \
-		$x_includes \
-		/usr/include \
-		/usr/include/tcl$TCL_VERS/tcl-private/generic \
-		/usr/include/tcl$TCL_HI_VERS/tcl-private/generic \
-		/usr/include/tcl$TCL_ALT_VERS/tcl-private/generic \
-		/usr/include/tcl-private/generic \
-		/usr/include/tcl$TCL_VERS \
-		/usr/include/tcl$TCL_HI_VERS \
-		/usr/include/tcl$TCL_ALT_VERS \
-		/usr/include/tcl"
+		$x_includes"
 TCL_LIB_PLACES_D="$d \
 		$d/lib \
 		$d/unix"
@@ -4193,30 +4110,9 @@
 		../tcl$TCL_VERS/unix \
 		../tcl$TCL_HI_VERS/unix \
                 ../tcl$TCL_ALT_VERS/unix \
-                /usr/src/local/tcl$TCL_VERS/unix \
-                /usr/src/local/tcl$TCL_HI_VERS/unix \
-                /usr/src/local/tcl$TCL_ALT_VERS/unix \
-                /usr/contrib/lib \
-                /usr/local/lib/tcl$TCL_VERS \
-                /usr/local/lib/tcl$TCL_HI_VERS \
-                /usr/local/lib/tcl$TCL_ALT_VERS \
-		/usr/lib/tcl$TCL_VERS \
-		/usr/lib/tcl$TCL_HI_VERS \
-		/usr/lib/tcl$TCL_ALT_VERS \
-		../tcl$TCL_OLD_VERS/unix \
-                ../tcl$TCL_OLD_ALT_VERS/unix \
-                /usr/src/local/tcl$TCL_OLD_VERS/unix \
-                /usr/src/local/tcl$TCL_OLD_ALT_VERS/unix \
-                /usr/local/lib/tcl$TCL_OLD_VERS \
-                /usr/local/lib/tcl$TCL_OLD_ALT_VERS \
-		/usr/lib/tcl$TCL_OLD_VERS \
-		/usr/lib/tcl$TCL_OLD_ALT_VERS \
-                /usr/local/lib \
                 $prefix/lib \
                 $x_libs/tk \
-                $x_libs \
-                /usr/lib \
-		"
+                $x_libs"
 
 
 
@@ -4526,7 +4422,7 @@
 # $d/unix works if $d is the 8.0 distribution
 # $d/bin is for the ns-allinone distribution (kind of hacky, isn't it?)
 PATH=../bin:../tcl$TCL_HI_VERS/unix:../tcl$TCL_VERS/unix:$d/unix:$d/bin:$PATH
-for ac_prog in tclsh$TCL_VERS tclsh$TCL_HI_VERS tclsh tclsh$TCL_OLD_VERS
+for ac_prog in tclsh$TCL_VERS tclsh$TCL_HI_VERS tclsh
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
@@ -4648,9 +4544,6 @@
 TK_MAJOR_VERS=`echo $TK_VERS | sed 's/\([0-9]*\)\.\([0-9]*\)\.\([0-9]*\)/\1/'`
 TK_ALT_VERS=`echo $TK_VERS | sed 's/\.//'`
 
-TK_OLD_VERS=8.3.5
-TK_OLD_ALT_VERS=`echo $TK_OLD_VERS | sed 's/\.//'`
-
 TK_TCL_PLACES_D="$d \
                 $d/lib/tk$TK_VERS \
                 $d/lib/tk$TK_ALT_VERS \
@@ -4661,10 +4554,6 @@
                 $d/../lib/tk$TK_ALT_VERS \
                 $d/../lib/tk$TK_HI_VERS \
                 $d/../lib/tk \
-                $d/lib/tk$TK_OLD_VERS \
-                $d/lib/tk$TK_OLD_ALT_VERS \
-                $d/../lib/tk$TK_OLD_VERS \
-                $d/../lib/tk$TK_OLD_ALT_VERS \
                 $d/../lib/tk \
                 $d/lib \
                 $d/library"
@@ -4676,87 +4565,25 @@
                 ../tk$TK_ALT_VERS/library \
                 ../tk$TK_HI_VERS/library \
 		../tk/library \
-                /usr/src/local/tk$TK_VERS/library \
-                /usr/src/local/tk$TK_ALT_VERS/library \
-                /usr/src/local/tk$TK_HI_VERS/library \
-                /usr/contrib/include \
-                /usr/local/lib/tk$TK_VERS \
-                /usr/local/lib/tk$TK_ALT_VERS \
-                /usr/local/lib/tk$TK_HI_VERS \
-                /usr/local/include/tk$TK_VERS \
-                /usr/local/include/tk$TK_ALT_VERS \
-                /usr/local/include/tk$TK_HI_VERS \
-                /usr/local/include \
-                /usr/lib/tk$TK_VERS \
-                /usr/lib/tk$TK_ALT_VERS \
-                /usr/lib/tk$TK_HI_VERS \
-                /usr/lib/tk \
-                /usr/share/tk$TK_VERS \
-                /usr/share/tk$TK_ALT_VERS \
-                /usr/share/tk$TK_HI_VERS \
-                /usr/share/tk \
-		../tk$TK_OLD_VERS/library \
-                ../tk$TK_OLD_ALT_VERS/library \
-                /usr/src/local/tk$TK_OLD_VERS/library \
-                /usr/src/local/tk$TK_OLD_ALT_VERS/library \
-                /usr/local/lib/tk$TK_OLD_VERS \
-                /usr/local/lib/tk$TK_OLD_ALT_VERS \
-                /usr/local/include/tk$TK_OLD_VERS \
-                /usr/local/include/tk$TK_OLD_ALT_VERS \
-                /usr/lib/tk$TK_OLD_VERS \
-                /usr/lib/tk$TK_OLD_ALT_VERS \
                 $prefix/include \
 		$prefix/lib/tk \
                 $x_includes/tk \
-                $x_includes \
-                /usr/include"
+                $x_includes"
 TK_H_PLACES_D="$d \
                 $d/generic \
                 $d/../include/tk$TK_VERS \
                 $d/../include/tk$TK_HI_VERS \
-                $d/../include/tk$TK_OLD_VERS \
 		$d/include/tk$TK_VERS \
 		$d/include/tk$TK_HI_VERS \
-		$d/include/tk$TK_OLD_VERS \
                 $d/include"
 TK_H_PLACES=" \
 		../include \
 		../tk$TK_VERS/generic \
                 ../tk$TK_ALT_VERS/generic \
                 ../tk$TK_HI_VERS/generic \
-		/usr/src/local/tk$TK_VERS/generic \
-                /usr/src/local/tk$TK_ALT_VERS/generic \
-                /usr/src/local/tk$TK_HI_VERS/generic \
-                /usr/contrib/include \
-                /usr/local/lib/tk$TK_VERS \
-                /usr/local/lib/tk$TK_ALT_VERS \
-                /usr/local/lib/tk$TK_HI_VERS \
-                /usr/local/include/tk$TK_VERS \
-                /usr/local/include/tk$TK_ALT_VERS \
-                /usr/local/include/tk$TK_HI_VERS \
-                /usr/local/include \
-                /import/tk/include/tk$TK_VERS \
-                /import/tk/include/tk$TK_ALT_VERS \
-                /import/tk/include/tk$TK_HI_VERS \
-		../tk$TK_OLD_VERS/generic \
-                ../tk$TK_OLD_ALT_VERS/generic \
-		/usr/src/local/tk$TK_OLD_VERS/generic \
-                /usr/src/local/tk$TK_OLD_ALT_VERS/generic \
-                /usr/local/lib/tk$TK_OLD_VERS \
-                /usr/local/lib/tk$TK_OLD_ALT_VERS \
-                /usr/local/include/tk$TK_OLD_VERS \
-                /usr/local/include/tk$TK_OLD_ALT_VERS \
-                /import/tk/include/tk$TK_OLD_VERS \
-                /import/tk/include/tk$TK_OLD_ALT_VERS \
                 $prefix/include \
                 $x_includes/tk \
-                $x_includes \
-                /usr/include \
-                /usr/include/tcl \
-                /usr/include/tcl$TK_VERS \
-                /usr/include/tcl$TK_ALT_VERS \
-                /usr/include/tcl$TK_HI_VERS \
-                "
+                $x_includes"
 TK_LIB_PLACES_D="$d \
                 $d/lib \
 		$d/unix"
@@ -4768,24 +4595,9 @@
 		../tk$TK_VERS/unix \
                 ../tk$TK_ALT_VERS/unix \
                 ../tk$TK_HI_VERS/unix \
-                /usr/src/local/tk$TK_VERS/unix \
-                /usr/src/local/tk$TK_ALT_VERS/unix \
-                /usr/src/local/tk$TK_HI_VERS/unix \
-                /usr/contrib/lib \
-                /usr/local/lib/tk$TK_VERS \
-                /usr/local/lib/tk$TK_ALT_VERS \
-                /usr/local/lib/tk$TK_HI_VERS \
-		../tk$TK_OLD_VERS/unix \
-                ../tk$TK_OLD_ALT_VERS/unix \
-                /usr/src/local/tk$TK_OLD_VERS/unix \
-                /usr/src/local/tk$TK_OLD_ALT_VERS/unix \
-                /usr/local/lib/tk$TK_OLD_VERS \
-                /usr/local/lib/tk$TK_OLD_ALT_VERS \
-                /usr/local/lib \
                 $prefix/lib \
                 $x_libs/tk \
-                $x_libs \
-                /usr/lib"
+                $x_libs"
 
 
 NS_PACKAGE_tk_UNDERWAY=false
@@ -5469,7 +5281,7 @@
 	DL_LIBS=""
 	SHLD_FLAGS="-Wl,-bind_at_load -Wl,-multiply_defined -Wl,suppress"
 	;;
-    Darwin-7.*|Darwin-8.*) # Remove `-mcpu=7450' for G5 (PPC970) optimization:
+    Darwin-7.*|Darwin-8.*|Darwin-9.*) # Remove `-mcpu=7450' for G5 (PPC970) optimization:
 	SHLIB_CFLAGS="-fno-common -fPIC -pipe"
 	SHLIB_LD="cc -dynamiclib -flat_namespace -undefined suppress"
 	SHLIB_SUFFIX=".dylib"
